EJB3PersistOnFlushEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3PersistOnFlushEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener
          org.hibernate.event.internal.AbstractSaveEventListener
              org.hibernate.event.internal.DefaultPersistEventListener
                  org.hibernate.ejb.event.EJB3PersistEventListener
                      org.hibernate.ejb.event.EJB3PersistOnFlushEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, HibernateEntityManagerEventListener, PersistEventListener

    public class EJB3PersistOnFlushEventListener

extends EJB3PersistEventListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`AbstractSaveEventListener.EntityState`

Constructor Summary
`EJB3PersistOnFlushEventListener()`

Method Summary
`protected CascadingAction` | `getCascadeAction()`

Methods inherited from class org.hibernate.ejb.event.EJB3PersistEventListener
`saveWithGeneratedId, saveWithRequestedId, setCallbackHandler`

Methods inherited from class org.hibernate.event.internal.DefaultPersistEventListener
`entityIsPersistent, entityIsTransient, getAssumedUnsaved, onPersist, onPersist`

Methods inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, substituteValuesIfNecessary, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.internal.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PersistOnFlushEventListener

    public EJB3PersistOnFlushEventListener()

Method Detail

### getCascadeAction

    protected CascadingAction getCascadeAction()

  Overrides:
    `getCascadeAction` in class `EJB3PersistEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.